#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
yakusyoku = ["人狼","占い師","村人","霊媒師"]
play = ["play1","play2","play3","play4"]
play = {}

play["play1"]=yakusyoku.sample
printf("あなたの役職は%sです。 \n",play["play1"])
yakusyoku.delete(play["play1"])
p yakusyoku

play["play2"]=yakusyoku.sample
printf("あなたの役職は%sです。 \n",play["play2"])
yakusyoku.delete(play["play2"])
p yakusyoku
 
play["play3"]=yakusyoku.sample
printf("あなたの役職は%sです。 \n",play["play3"])
yakusyoku.delete(play["play3"])
p yakusyoku
 
play["play4"]=yakusyoku.sample
printf("あなたの役職は%sです。 \n",play["play4"])
yakusyoku.delete(play["play4"])
p yakusyoku 

hiniti=1
while true
  printf("%d日目が来た。\n",hiniti)
  for i in play
    printf("%s,",i)
  end

  puts"がいます."
  puts"誰が人狼だと思いますか?"
  print"答え入力:"
  kotae=gets.chomp
  puts"皆さんが選んだのは,この人ですね。"
  puts"では、さようなら。"
  puts"夜がやってきた"
  sininn=play.sample
  printf("%sが死にました。\n",sininn)
  play.delete(sininn)
  p play
 if play[sininn] == "人狼"
 puts"村人の勝利"
 break
end
  hiniti+=1
end






